summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth.init
diff options
context:
space:
mode:
Diffstat (limited to 'plymouth/debian/plymouth.init')
-rw-r--r--plymouth/debian/plymouth.init89
1 files changed, 89 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth.init b/plymouth/debian/plymouth.init
new file mode 100644
index 0000000..64ee8d2
--- /dev/null
+++ b/plymouth/debian/plymouth.init
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: plymouth
+# Required-Start: udev $remote_fs $all
+# Required-Stop: $remote_fs
+# Should-Start: $x-display-manager
+# Should-Stop: $x-display-manager
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 6
+# Short-Description: Stop plymouth during boot and start it on shutdown
+### END INIT INFO
+
+PATH="/sbin:/bin:/usr/sbin:/usr/bin"
+NAME="plymouth"
+DESC="Boot splash manager"
+
+test -x /sbin/plymouthd || exit 0
+
+if [ -r "/etc/default/${NAME}" ]
+then
+ . "/etc/default/${NAME}"
+fi
+
+. /lib/lsb/init-functions
+
+set -e
+
+SPLASH="true"
+for ARGUMENT in $(cat /proc/cmdline)
+do
+ case "${ARGUMENT}" in
+ splash*)
+ SPLASH="true"
+ ;;
+
+ nosplash*|plymouth.enable=0)
+ SPLASH="false"
+ ;;
+ esac
+done
+
+case "${1}" in
+ start)
+ case "${SPLASH}" in
+ true)
+ /bin/plymouth quit --retain-splash
+ ;;
+ esac
+ ;;
+
+ stop)
+ case "${SPLASH}" in
+ true)
+ if ! plymouth --ping
+ then
+ /sbin/plymouthd --mode=shutdown
+ fi
+
+ RUNLEVEL="$(/sbin/runlevel | cut -d " " -f 2)"
+
+ case "${RUNLEVEL}" in
+ 0)
+ TEXT="Shutting down system..."
+ ;;
+
+ 6)
+ TEXT="Restarting system..."
+ ;;
+ esac
+
+ /bin/plymouth message --text="${TEXT}"
+
+ /bin/plymouth --show-splash
+ ;;
+ esac
+ ;;
+
+ restart|force-reload)
+
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
bgstack15